/*
 * This file was generated by the CommonAPI Generators.
 * Used org.genivi.commonapi.someip 3.2.0.v202012010944.
 * Used org.franca.core 0.13.1.201807231814.
 *
 * This Source Code Form is subject to the terms of the Mozilla Public License, v. 2.0.
 * If a copy of the MPL was not distributed with this file, You can obtain one at
 * http://mozilla.org/MPL/2.0/.
 */
#include <v1/commonapi/telux/cv2x/Cv2xRadioSomeIPProxy.hpp>

#if !defined (COMMONAPI_INTERNAL_COMPILATION)
#define COMMONAPI_INTERNAL_COMPILATION
#define HAS_DEFINED_COMMONAPI_INTERNAL_COMPILATION_HERE
#endif

#include <CommonAPI/SomeIP/AddressTranslator.hpp>

#if defined (HAS_DEFINED_COMMONAPI_INTERNAL_COMPILATION_HERE)
#undef COMMONAPI_INTERNAL_COMPILATION
#undef HAS_DEFINED_COMMONAPI_INTERNAL_COMPILATION_HERE
#endif

namespace v1 {
namespace commonapi {
namespace telux {
namespace cv2x {

std::shared_ptr<CommonAPI::SomeIP::Proxy> createCv2xRadioSomeIPProxy(
    const CommonAPI::SomeIP::Address &_address,
    const std::shared_ptr<CommonAPI::SomeIP::ProxyConnection> &_connection) {
    return std::make_shared< Cv2xRadioSomeIPProxy>(_address, _connection);
}

void initializeCv2xRadioSomeIPProxy() {
    CommonAPI::SomeIP::AddressTranslator::get()->insert(
        "local:commonapi.telux.cv2x.Cv2xRadio:v1_0:commonapi.telux.cv2x.Cv2xRadio",
        0x123e, 0x5679, 1, 0);
    CommonAPI::SomeIP::Factory::get()->registerProxyCreateMethod(
        "commonapi.telux.cv2x.Cv2xRadio:v1_0",
        &createCv2xRadioSomeIPProxy);
}

INITIALIZER(registerCv2xRadioSomeIPProxy) {
    CommonAPI::SomeIP::Factory::get()->registerInterface(initializeCv2xRadioSomeIPProxy);
}

Cv2xRadioSomeIPProxy::Cv2xRadioSomeIPProxy(
    const CommonAPI::SomeIP::Address &_address,
    const std::shared_ptr<CommonAPI::SomeIP::ProxyConnection> &_connection)
        : CommonAPI::SomeIP::Proxy(_address, _connection),
          ::v1::commonapi::telux::common::CommonDefinesSomeIPProxy(_address, _connection),
          ::v1::commonapi::telux::cv2x::Cv2xRadioTypesSomeIPProxy(_address, _connection),
          currentCv2xStatus_(*this, 0x8001, CommonAPI::SomeIP::event_id_t(0x8006), CommonAPI::SomeIP::event_type_e::ET_EVENT , CommonAPI::SomeIP::reliability_type_e::RT_UNRELIABLE, false, std::make_tuple(static_cast< ::v1::commonapi::telux::cv2x::Cv2xRadioTypes_::Cv2xStatusDeployment_t* >(nullptr))),
          currentCv2xStatusEx_(*this, 0x8001, CommonAPI::SomeIP::event_id_t(0x8001), CommonAPI::SomeIP::event_type_e::ET_EVENT , CommonAPI::SomeIP::reliability_type_e::RT_UNRELIABLE, false, std::make_tuple(static_cast< ::v1::commonapi::telux::cv2x::Cv2xRadioTypes_::Cv2xStatusExDeployment_t* >(nullptr))),
          currentL2Addr_(*this, 0x8001, CommonAPI::SomeIP::event_id_t(0x8002), CommonAPI::SomeIP::event_type_e::ET_EVENT , CommonAPI::SomeIP::reliability_type_e::RT_UNRELIABLE, false, std::make_tuple(static_cast< CommonAPI::SomeIP::IntegerDeployment<uint32_t>* >(nullptr))),
          currentSpsOffset_(*this, 0x8001, CommonAPI::SomeIP::event_id_t(0x8003), CommonAPI::SomeIP::event_type_e::ET_EVENT , CommonAPI::SomeIP::reliability_type_e::RT_UNRELIABLE, false, std::make_tuple(static_cast< CommonAPI::SomeIP::IntegerDeployment<int32_t>* >(nullptr), static_cast< ::v1::commonapi::telux::cv2x::Cv2xRadioTypes_::MacDetailsDeployment_t* >(nullptr))),
          currentCapabilities_(*this, 0x8001, CommonAPI::SomeIP::event_id_t(0x8004), CommonAPI::SomeIP::event_type_e::ET_EVENT , CommonAPI::SomeIP::reliability_type_e::RT_UNRELIABLE, false, std::make_tuple(static_cast< ::v1::commonapi::telux::cv2x::Cv2xRadioTypes_::Cv2xRadioCapabilitiesDeployment_t* >(nullptr))),
          macAddrClone_(*this, 0x8001, CommonAPI::SomeIP::event_id_t(0x8005), CommonAPI::SomeIP::event_type_e::ET_EVENT , CommonAPI::SomeIP::reliability_type_e::RT_UNRELIABLE, false, std::make_tuple(static_cast< CommonAPI::EmptyDeployment* >(nullptr)))
{
}

Cv2xRadioSomeIPProxy::~Cv2xRadioSomeIPProxy() {
    completed_.set_value();
}


Cv2xRadioSomeIPProxy::CurrentCv2xStatusEvent& Cv2xRadioSomeIPProxy::getCurrentCv2xStatusEvent() {
    return currentCv2xStatus_;
}
Cv2xRadioSomeIPProxy::CurrentCv2xStatusExEvent& Cv2xRadioSomeIPProxy::getCurrentCv2xStatusExEvent() {
    return currentCv2xStatusEx_;
}
Cv2xRadioSomeIPProxy::CurrentL2AddrEvent& Cv2xRadioSomeIPProxy::getCurrentL2AddrEvent() {
    return currentL2Addr_;
}
Cv2xRadioSomeIPProxy::CurrentSpsOffsetEvent& Cv2xRadioSomeIPProxy::getCurrentSpsOffsetEvent() {
    return currentSpsOffset_;
}
Cv2xRadioSomeIPProxy::CurrentCapabilitiesEvent& Cv2xRadioSomeIPProxy::getCurrentCapabilitiesEvent() {
    return currentCapabilities_;
}
Cv2xRadioSomeIPProxy::MacAddrCloneEvent& Cv2xRadioSomeIPProxy::getMacAddrCloneEvent() {
    return macAddrClone_;
}

void Cv2xRadioSomeIPProxy::createRxSubscription(::v1::commonapi::telux::cv2x::Cv2xRadioTypes::TrafficIpType _ipType, uint16_t _port, std::vector< uint32_t > _idList, CommonAPI::CallStatus &_internalCallStatus, ::v1::commonapi::telux::common::CommonDefines::ErrorCode &_error, uint32_t &_subscriptionId, const CommonAPI::CallInfo *_info) {
    CommonAPI::Deployable< ::v1::commonapi::telux::common::CommonDefines::ErrorCode, ::v1::commonapi::telux::common::CommonDefines_::ErrorCodeDeployment_t> deploy_error(static_cast< ::v1::commonapi::telux::common::CommonDefines_::ErrorCodeDeployment_t * >(nullptr));
    CommonAPI::Deployable< ::v1::commonapi::telux::cv2x::Cv2xRadioTypes::TrafficIpType, ::v1::commonapi::telux::cv2x::Cv2xRadioTypes_::TrafficIpTypeDeployment_t> deploy_ipType(_ipType, static_cast< ::v1::commonapi::telux::cv2x::Cv2xRadioTypes_::TrafficIpTypeDeployment_t* >(nullptr));
    CommonAPI::Deployable< uint16_t, CommonAPI::SomeIP::IntegerDeployment<uint16_t>> deploy_port(_port, static_cast< CommonAPI::SomeIP::IntegerDeployment<uint16_t>* >(nullptr));
    CommonAPI::Deployable< std::vector< uint32_t >, CommonAPI::SomeIP::ArrayDeployment< CommonAPI::SomeIP::IntegerDeployment<uint32_t> >> deploy_idList(_idList, static_cast< CommonAPI::SomeIP::ArrayDeployment< CommonAPI::SomeIP::IntegerDeployment<uint32_t> >* >(nullptr));
    CommonAPI::Deployable< uint32_t, CommonAPI::SomeIP::IntegerDeployment<uint32_t>> deploy_subscriptionId(static_cast< CommonAPI::SomeIP::IntegerDeployment<uint32_t>* >(nullptr));
    CommonAPI::SomeIP::ProxyHelper<
        CommonAPI::SomeIP::SerializableArguments<
            CommonAPI::Deployable<
                ::v1::commonapi::telux::cv2x::Cv2xRadioTypes::TrafficIpType,
                ::v1::commonapi::telux::cv2x::Cv2xRadioTypes_::TrafficIpTypeDeployment_t
            >,
            CommonAPI::Deployable<
                uint16_t,
                CommonAPI::SomeIP::IntegerDeployment<uint16_t>
            >,
            CommonAPI::Deployable<
                std::vector< uint32_t >,
                CommonAPI::SomeIP::ArrayDeployment< CommonAPI::SomeIP::IntegerDeployment<uint32_t> >
            >
        >,
        CommonAPI::SomeIP::SerializableArguments<
            CommonAPI::Deployable<
                ::v1::commonapi::telux::common::CommonDefines::ErrorCode,
                ::v1::commonapi::telux::common::CommonDefines_::ErrorCodeDeployment_t
            >,
            CommonAPI::Deployable<
                uint32_t,
                CommonAPI::SomeIP::IntegerDeployment<uint32_t>
            >
        >
    >::callMethodWithReply(
        *this,
        CommonAPI::SomeIP::method_id_t(0x7594),
        false,
        false,
        (_info ? _info : &CommonAPI::SomeIP::defaultCallInfo),
        deploy_ipType, deploy_port, deploy_idList,
        _internalCallStatus,
        deploy_error,
        deploy_subscriptionId);
    _error = deploy_error.getValue();
    _subscriptionId = deploy_subscriptionId.getValue();
}

std::future<CommonAPI::CallStatus> Cv2xRadioSomeIPProxy::createRxSubscriptionAsync(const ::v1::commonapi::telux::cv2x::Cv2xRadioTypes::TrafficIpType &_ipType, const uint16_t &_port, const std::vector< uint32_t > &_idList, CreateRxSubscriptionAsyncCallback _callback, const CommonAPI::CallInfo *_info) {
    CommonAPI::Deployable< ::v1::commonapi::telux::common::CommonDefines::ErrorCode, ::v1::commonapi::telux::common::CommonDefines_::ErrorCodeDeployment_t> deploy_error(static_cast< ::v1::commonapi::telux::common::CommonDefines_::ErrorCodeDeployment_t * >(nullptr));
    CommonAPI::Deployable< ::v1::commonapi::telux::cv2x::Cv2xRadioTypes::TrafficIpType, ::v1::commonapi::telux::cv2x::Cv2xRadioTypes_::TrafficIpTypeDeployment_t> deploy_ipType(_ipType, static_cast< ::v1::commonapi::telux::cv2x::Cv2xRadioTypes_::TrafficIpTypeDeployment_t* >(nullptr));
    CommonAPI::Deployable< uint16_t, CommonAPI::SomeIP::IntegerDeployment<uint16_t>> deploy_port(_port, static_cast< CommonAPI::SomeIP::IntegerDeployment<uint16_t>* >(nullptr));
    CommonAPI::Deployable< std::vector< uint32_t >, CommonAPI::SomeIP::ArrayDeployment< CommonAPI::SomeIP::IntegerDeployment<uint32_t> >> deploy_idList(_idList, static_cast< CommonAPI::SomeIP::ArrayDeployment< CommonAPI::SomeIP::IntegerDeployment<uint32_t> >* >(nullptr));
    CommonAPI::Deployable< uint32_t, CommonAPI::SomeIP::IntegerDeployment<uint32_t>> deploy_subscriptionId(static_cast< CommonAPI::SomeIP::IntegerDeployment<uint32_t>* >(nullptr));
    return CommonAPI::SomeIP::ProxyHelper<
        CommonAPI::SomeIP::SerializableArguments<
            CommonAPI::Deployable<
                ::v1::commonapi::telux::cv2x::Cv2xRadioTypes::TrafficIpType,
                ::v1::commonapi::telux::cv2x::Cv2xRadioTypes_::TrafficIpTypeDeployment_t
            >,
            CommonAPI::Deployable<
                uint16_t,
                CommonAPI::SomeIP::IntegerDeployment<uint16_t>
            >,
            CommonAPI::Deployable<
                std::vector< uint32_t >,
                CommonAPI::SomeIP::ArrayDeployment< CommonAPI::SomeIP::IntegerDeployment<uint32_t> >
            >
        >,
        CommonAPI::SomeIP::SerializableArguments<
            CommonAPI::Deployable<
                ::v1::commonapi::telux::common::CommonDefines::ErrorCode,
                ::v1::commonapi::telux::common::CommonDefines_::ErrorCodeDeployment_t
            >,
            CommonAPI::Deployable<
                uint32_t,
                CommonAPI::SomeIP::IntegerDeployment<uint32_t>
            >
        >
    >::callMethodAsync(
        *this,
        CommonAPI::SomeIP::method_id_t(0x7594),
        false,
        false,
        (_info ? _info : &CommonAPI::SomeIP::defaultCallInfo),
        deploy_ipType, deploy_port, deploy_idList,
        [_callback] (CommonAPI::CallStatus _internalCallStatus, CommonAPI::Deployable< ::v1::commonapi::telux::common::CommonDefines::ErrorCode, ::v1::commonapi::telux::common::CommonDefines_::ErrorCodeDeployment_t > _deploy_error, CommonAPI::Deployable< uint32_t, CommonAPI::SomeIP::IntegerDeployment<uint32_t> > _subscriptionId) {
            if (_callback)
                _callback(_internalCallStatus, _deploy_error.getValue(), _subscriptionId.getValue());
        },
        std::make_tuple(deploy_error, deploy_subscriptionId));
}

void Cv2xRadioSomeIPProxy::getServiceStatus(CommonAPI::CallStatus &_internalCallStatus, ::v1::commonapi::telux::common::CommonDefines::ErrorCode &_error, ::v1::commonapi::telux::common::CommonDefines::ServiceStatus &_status, const CommonAPI::CallInfo *_info) {
    CommonAPI::Deployable< ::v1::commonapi::telux::common::CommonDefines::ErrorCode, ::v1::commonapi::telux::common::CommonDefines_::ErrorCodeDeployment_t> deploy_error(static_cast< ::v1::commonapi::telux::common::CommonDefines_::ErrorCodeDeployment_t * >(nullptr));
    CommonAPI::Deployable< ::v1::commonapi::telux::common::CommonDefines::ServiceStatus, ::v1::commonapi::telux::common::CommonDefines_::ServiceStatusDeployment_t> deploy_status(static_cast< ::v1::commonapi::telux::common::CommonDefines_::ServiceStatusDeployment_t* >(nullptr));
    CommonAPI::SomeIP::ProxyHelper<
        CommonAPI::SomeIP::SerializableArguments<
        >,
        CommonAPI::SomeIP::SerializableArguments<
            CommonAPI::Deployable<
                ::v1::commonapi::telux::common::CommonDefines::ErrorCode,
                ::v1::commonapi::telux::common::CommonDefines_::ErrorCodeDeployment_t
            >,
            CommonAPI::Deployable<
                ::v1::commonapi::telux::common::CommonDefines::ServiceStatus,
                ::v1::commonapi::telux::common::CommonDefines_::ServiceStatusDeployment_t
            >
        >
    >::callMethodWithReply(
        *this,
        CommonAPI::SomeIP::method_id_t(0x7595),
        false,
        false,
        (_info ? _info : &CommonAPI::SomeIP::defaultCallInfo),
        _internalCallStatus,
        deploy_error,
        deploy_status);
    _error = deploy_error.getValue();
    _status = deploy_status.getValue();
}

std::future<CommonAPI::CallStatus> Cv2xRadioSomeIPProxy::getServiceStatusAsync(GetServiceStatusAsyncCallback _callback, const CommonAPI::CallInfo *_info) {
    CommonAPI::Deployable< ::v1::commonapi::telux::common::CommonDefines::ErrorCode, ::v1::commonapi::telux::common::CommonDefines_::ErrorCodeDeployment_t> deploy_error(static_cast< ::v1::commonapi::telux::common::CommonDefines_::ErrorCodeDeployment_t * >(nullptr));
    CommonAPI::Deployable< ::v1::commonapi::telux::common::CommonDefines::ServiceStatus, ::v1::commonapi::telux::common::CommonDefines_::ServiceStatusDeployment_t> deploy_status(static_cast< ::v1::commonapi::telux::common::CommonDefines_::ServiceStatusDeployment_t* >(nullptr));
    return CommonAPI::SomeIP::ProxyHelper<
        CommonAPI::SomeIP::SerializableArguments<
        >,
        CommonAPI::SomeIP::SerializableArguments<
            CommonAPI::Deployable<
                ::v1::commonapi::telux::common::CommonDefines::ErrorCode,
                ::v1::commonapi::telux::common::CommonDefines_::ErrorCodeDeployment_t
            >,
            CommonAPI::Deployable<
                ::v1::commonapi::telux::common::CommonDefines::ServiceStatus,
                ::v1::commonapi::telux::common::CommonDefines_::ServiceStatusDeployment_t
            >
        >
    >::callMethodAsync(
        *this,
        CommonAPI::SomeIP::method_id_t(0x7595),
        false,
        false,
        (_info ? _info : &CommonAPI::SomeIP::defaultCallInfo),
        [_callback] (CommonAPI::CallStatus _internalCallStatus, CommonAPI::Deployable< ::v1::commonapi::telux::common::CommonDefines::ErrorCode, ::v1::commonapi::telux::common::CommonDefines_::ErrorCodeDeployment_t > _deploy_error, CommonAPI::Deployable< ::v1::commonapi::telux::common::CommonDefines::ServiceStatus, ::v1::commonapi::telux::common::CommonDefines_::ServiceStatusDeployment_t > _status) {
            if (_callback)
                _callback(_internalCallStatus, _deploy_error.getValue(), _status.getValue());
        },
        std::make_tuple(deploy_error, deploy_status));
}

void Cv2xRadioSomeIPProxy::enableRxMetaDataReport(::v1::commonapi::telux::cv2x::Cv2xRadioTypes::TrafficIpType _ipType, bool _enable, std::vector< uint32_t > _idList, CommonAPI::CallStatus &_internalCallStatus, ::v1::commonapi::telux::common::CommonDefines::ErrorCode &_error, const CommonAPI::CallInfo *_info) {
    CommonAPI::Deployable< ::v1::commonapi::telux::common::CommonDefines::ErrorCode, ::v1::commonapi::telux::common::CommonDefines_::ErrorCodeDeployment_t> deploy_error(static_cast< ::v1::commonapi::telux::common::CommonDefines_::ErrorCodeDeployment_t * >(nullptr));
    CommonAPI::Deployable< ::v1::commonapi::telux::cv2x::Cv2xRadioTypes::TrafficIpType, ::v1::commonapi::telux::cv2x::Cv2xRadioTypes_::TrafficIpTypeDeployment_t> deploy_ipType(_ipType, static_cast< ::v1::commonapi::telux::cv2x::Cv2xRadioTypes_::TrafficIpTypeDeployment_t* >(nullptr));
    CommonAPI::Deployable< bool, CommonAPI::EmptyDeployment> deploy_enable(_enable, static_cast< CommonAPI::EmptyDeployment* >(nullptr));
    CommonAPI::Deployable< std::vector< uint32_t >, CommonAPI::SomeIP::ArrayDeployment< CommonAPI::SomeIP::IntegerDeployment<uint32_t> >> deploy_idList(_idList, static_cast< CommonAPI::SomeIP::ArrayDeployment< CommonAPI::SomeIP::IntegerDeployment<uint32_t> >* >(nullptr));
    CommonAPI::SomeIP::ProxyHelper<
        CommonAPI::SomeIP::SerializableArguments<
            CommonAPI::Deployable<
                ::v1::commonapi::telux::cv2x::Cv2xRadioTypes::TrafficIpType,
                ::v1::commonapi::telux::cv2x::Cv2xRadioTypes_::TrafficIpTypeDeployment_t
            >,
            CommonAPI::Deployable<
                bool,
                CommonAPI::EmptyDeployment
            >,
            CommonAPI::Deployable<
                std::vector< uint32_t >,
                CommonAPI::SomeIP::ArrayDeployment< CommonAPI::SomeIP::IntegerDeployment<uint32_t> >
            >
        >,
        CommonAPI::SomeIP::SerializableArguments<
            CommonAPI::Deployable<
                ::v1::commonapi::telux::common::CommonDefines::ErrorCode,
                ::v1::commonapi::telux::common::CommonDefines_::ErrorCodeDeployment_t
            >
        >
    >::callMethodWithReply(
        *this,
        CommonAPI::SomeIP::method_id_t(0x7596),
        false,
        false,
        (_info ? _info : &CommonAPI::SomeIP::defaultCallInfo),
        deploy_ipType, deploy_enable, deploy_idList,
        _internalCallStatus,
        deploy_error);
    _error = deploy_error.getValue();
}

std::future<CommonAPI::CallStatus> Cv2xRadioSomeIPProxy::enableRxMetaDataReportAsync(const ::v1::commonapi::telux::cv2x::Cv2xRadioTypes::TrafficIpType &_ipType, const bool &_enable, const std::vector< uint32_t > &_idList, EnableRxMetaDataReportAsyncCallback _callback, const CommonAPI::CallInfo *_info) {
    CommonAPI::Deployable< ::v1::commonapi::telux::common::CommonDefines::ErrorCode, ::v1::commonapi::telux::common::CommonDefines_::ErrorCodeDeployment_t> deploy_error(static_cast< ::v1::commonapi::telux::common::CommonDefines_::ErrorCodeDeployment_t * >(nullptr));
    CommonAPI::Deployable< ::v1::commonapi::telux::cv2x::Cv2xRadioTypes::TrafficIpType, ::v1::commonapi::telux::cv2x::Cv2xRadioTypes_::TrafficIpTypeDeployment_t> deploy_ipType(_ipType, static_cast< ::v1::commonapi::telux::cv2x::Cv2xRadioTypes_::TrafficIpTypeDeployment_t* >(nullptr));
    CommonAPI::Deployable< bool, CommonAPI::EmptyDeployment> deploy_enable(_enable, static_cast< CommonAPI::EmptyDeployment* >(nullptr));
    CommonAPI::Deployable< std::vector< uint32_t >, CommonAPI::SomeIP::ArrayDeployment< CommonAPI::SomeIP::IntegerDeployment<uint32_t> >> deploy_idList(_idList, static_cast< CommonAPI::SomeIP::ArrayDeployment< CommonAPI::SomeIP::IntegerDeployment<uint32_t> >* >(nullptr));
    return CommonAPI::SomeIP::ProxyHelper<
        CommonAPI::SomeIP::SerializableArguments<
            CommonAPI::Deployable<
                ::v1::commonapi::telux::cv2x::Cv2xRadioTypes::TrafficIpType,
                ::v1::commonapi::telux::cv2x::Cv2xRadioTypes_::TrafficIpTypeDeployment_t
            >,
            CommonAPI::Deployable<
                bool,
                CommonAPI::EmptyDeployment
            >,
            CommonAPI::Deployable<
                std::vector< uint32_t >,
                CommonAPI::SomeIP::ArrayDeployment< CommonAPI::SomeIP::IntegerDeployment<uint32_t> >
            >
        >,
        CommonAPI::SomeIP::SerializableArguments<
            CommonAPI::Deployable<
                ::v1::commonapi::telux::common::CommonDefines::ErrorCode,
                ::v1::commonapi::telux::common::CommonDefines_::ErrorCodeDeployment_t
            >
        >
    >::callMethodAsync(
        *this,
        CommonAPI::SomeIP::method_id_t(0x7596),
        false,
        false,
        (_info ? _info : &CommonAPI::SomeIP::defaultCallInfo),
        deploy_ipType, deploy_enable, deploy_idList,
        [_callback] (CommonAPI::CallStatus _internalCallStatus, CommonAPI::Deployable< ::v1::commonapi::telux::common::CommonDefines::ErrorCode, ::v1::commonapi::telux::common::CommonDefines_::ErrorCodeDeployment_t > _deploy_error) {
            if (_callback)
                _callback(_internalCallStatus, _deploy_error.getValue());
        },
        std::make_tuple(deploy_error));
}

void Cv2xRadioSomeIPProxy::createTxSpsFlow(::v1::commonapi::telux::cv2x::Cv2xRadioTypes::TrafficIpType _ipType, uint32_t _serviceId, ::v1::commonapi::telux::cv2x::Cv2xRadioTypes::SpsFlowInfo _spsInfo, uint16_t _spsSrcPort, bool _eventSrcPortValid, uint16_t _eventSrcPort, CommonAPI::CallStatus &_internalCallStatus, ::v1::commonapi::telux::common::CommonDefines::ErrorCode &_error, uint32_t &_txSpsFlowId, uint32_t &_txEventFlowId, ::v1::commonapi::telux::common::CommonDefines::ErrorCode &_spsError, ::v1::commonapi::telux::common::CommonDefines::ErrorCode &_eventError, const CommonAPI::CallInfo *_info) {
    CommonAPI::Deployable< ::v1::commonapi::telux::common::CommonDefines::ErrorCode, ::v1::commonapi::telux::common::CommonDefines_::ErrorCodeDeployment_t> deploy_error(static_cast< ::v1::commonapi::telux::common::CommonDefines_::ErrorCodeDeployment_t * >(nullptr));
    CommonAPI::Deployable< ::v1::commonapi::telux::cv2x::Cv2xRadioTypes::TrafficIpType, ::v1::commonapi::telux::cv2x::Cv2xRadioTypes_::TrafficIpTypeDeployment_t> deploy_ipType(_ipType, static_cast< ::v1::commonapi::telux::cv2x::Cv2xRadioTypes_::TrafficIpTypeDeployment_t* >(nullptr));
    CommonAPI::Deployable< uint32_t, CommonAPI::SomeIP::IntegerDeployment<uint32_t>> deploy_serviceId(_serviceId, static_cast< CommonAPI::SomeIP::IntegerDeployment<uint32_t>* >(nullptr));
    CommonAPI::Deployable< ::v1::commonapi::telux::cv2x::Cv2xRadioTypes::SpsFlowInfo, ::v1::commonapi::telux::cv2x::Cv2xRadioTypes_::SpsFlowInfoDeployment_t> deploy_spsInfo(_spsInfo, static_cast< ::v1::commonapi::telux::cv2x::Cv2xRadioTypes_::SpsFlowInfoDeployment_t* >(nullptr));
    CommonAPI::Deployable< uint16_t, CommonAPI::SomeIP::IntegerDeployment<uint16_t>> deploy_spsSrcPort(_spsSrcPort, static_cast< CommonAPI::SomeIP::IntegerDeployment<uint16_t>* >(nullptr));
    CommonAPI::Deployable< bool, CommonAPI::EmptyDeployment> deploy_eventSrcPortValid(_eventSrcPortValid, static_cast< CommonAPI::EmptyDeployment* >(nullptr));
    CommonAPI::Deployable< uint16_t, CommonAPI::SomeIP::IntegerDeployment<uint16_t>> deploy_eventSrcPort(_eventSrcPort, static_cast< CommonAPI::SomeIP::IntegerDeployment<uint16_t>* >(nullptr));
    CommonAPI::Deployable< uint32_t, CommonAPI::SomeIP::IntegerDeployment<uint32_t>> deploy_txSpsFlowId(static_cast< CommonAPI::SomeIP::IntegerDeployment<uint32_t>* >(nullptr));
    CommonAPI::Deployable< uint32_t, CommonAPI::SomeIP::IntegerDeployment<uint32_t>> deploy_txEventFlowId(static_cast< CommonAPI::SomeIP::IntegerDeployment<uint32_t>* >(nullptr));
    CommonAPI::Deployable< ::v1::commonapi::telux::common::CommonDefines::ErrorCode, ::v1::commonapi::telux::common::CommonDefines_::ErrorCodeDeployment_t> deploy_spsError(static_cast< ::v1::commonapi::telux::common::CommonDefines_::ErrorCodeDeployment_t* >(nullptr));
    CommonAPI::Deployable< ::v1::commonapi::telux::common::CommonDefines::ErrorCode, ::v1::commonapi::telux::common::CommonDefines_::ErrorCodeDeployment_t> deploy_eventError(static_cast< ::v1::commonapi::telux::common::CommonDefines_::ErrorCodeDeployment_t* >(nullptr));
    CommonAPI::SomeIP::ProxyHelper<
        CommonAPI::SomeIP::SerializableArguments<
            CommonAPI::Deployable<
                ::v1::commonapi::telux::cv2x::Cv2xRadioTypes::TrafficIpType,
                ::v1::commonapi::telux::cv2x::Cv2xRadioTypes_::TrafficIpTypeDeployment_t
            >,
            CommonAPI::Deployable<
                uint32_t,
                CommonAPI::SomeIP::IntegerDeployment<uint32_t>
            >,
            CommonAPI::Deployable<
                ::v1::commonapi::telux::cv2x::Cv2xRadioTypes::SpsFlowInfo,
                ::v1::commonapi::telux::cv2x::Cv2xRadioTypes_::SpsFlowInfoDeployment_t
            >,
            CommonAPI::Deployable<
                uint16_t,
                CommonAPI::SomeIP::IntegerDeployment<uint16_t>
            >,
            CommonAPI::Deployable<
                bool,
                CommonAPI::EmptyDeployment
            >,
            CommonAPI::Deployable<
                uint16_t,
                CommonAPI::SomeIP::IntegerDeployment<uint16_t>
            >
        >,
        CommonAPI::SomeIP::SerializableArguments<
            CommonAPI::Deployable<
                ::v1::commonapi::telux::common::CommonDefines::ErrorCode,
                ::v1::commonapi::telux::common::CommonDefines_::ErrorCodeDeployment_t
            >,
            CommonAPI::Deployable<
                uint32_t,
                CommonAPI::SomeIP::IntegerDeployment<uint32_t>
            >,
            CommonAPI::Deployable<
                uint32_t,
                CommonAPI::SomeIP::IntegerDeployment<uint32_t>
            >,
            CommonAPI::Deployable<
                ::v1::commonapi::telux::common::CommonDefines::ErrorCode,
                ::v1::commonapi::telux::common::CommonDefines_::ErrorCodeDeployment_t
            >,
            CommonAPI::Deployable<
                ::v1::commonapi::telux::common::CommonDefines::ErrorCode,
                ::v1::commonapi::telux::common::CommonDefines_::ErrorCodeDeployment_t
            >
        >
    >::callMethodWithReply(
        *this,
        CommonAPI::SomeIP::method_id_t(0x7597),
        false,
        false,
        (_info ? _info : &CommonAPI::SomeIP::defaultCallInfo),
        deploy_ipType, deploy_serviceId, deploy_spsInfo, deploy_spsSrcPort, deploy_eventSrcPortValid, deploy_eventSrcPort,
        _internalCallStatus,
        deploy_error,
        deploy_txSpsFlowId, deploy_txEventFlowId, deploy_spsError, deploy_eventError);
    _error = deploy_error.getValue();
    _txSpsFlowId = deploy_txSpsFlowId.getValue();
    _txEventFlowId = deploy_txEventFlowId.getValue();
    _spsError = deploy_spsError.getValue();
    _eventError = deploy_eventError.getValue();
}

std::future<CommonAPI::CallStatus> Cv2xRadioSomeIPProxy::createTxSpsFlowAsync(const ::v1::commonapi::telux::cv2x::Cv2xRadioTypes::TrafficIpType &_ipType, const uint32_t &_serviceId, const ::v1::commonapi::telux::cv2x::Cv2xRadioTypes::SpsFlowInfo &_spsInfo, const uint16_t &_spsSrcPort, const bool &_eventSrcPortValid, const uint16_t &_eventSrcPort, CreateTxSpsFlowAsyncCallback _callback, const CommonAPI::CallInfo *_info) {
    CommonAPI::Deployable< ::v1::commonapi::telux::common::CommonDefines::ErrorCode, ::v1::commonapi::telux::common::CommonDefines_::ErrorCodeDeployment_t> deploy_error(static_cast< ::v1::commonapi::telux::common::CommonDefines_::ErrorCodeDeployment_t * >(nullptr));
    CommonAPI::Deployable< ::v1::commonapi::telux::cv2x::Cv2xRadioTypes::TrafficIpType, ::v1::commonapi::telux::cv2x::Cv2xRadioTypes_::TrafficIpTypeDeployment_t> deploy_ipType(_ipType, static_cast< ::v1::commonapi::telux::cv2x::Cv2xRadioTypes_::TrafficIpTypeDeployment_t* >(nullptr));
    CommonAPI::Deployable< uint32_t, CommonAPI::SomeIP::IntegerDeployment<uint32_t>> deploy_serviceId(_serviceId, static_cast< CommonAPI::SomeIP::IntegerDeployment<uint32_t>* >(nullptr));
    CommonAPI::Deployable< ::v1::commonapi::telux::cv2x::Cv2xRadioTypes::SpsFlowInfo, ::v1::commonapi::telux::cv2x::Cv2xRadioTypes_::SpsFlowInfoDeployment_t> deploy_spsInfo(_spsInfo, static_cast< ::v1::commonapi::telux::cv2x::Cv2xRadioTypes_::SpsFlowInfoDeployment_t* >(nullptr));
    CommonAPI::Deployable< uint16_t, CommonAPI::SomeIP::IntegerDeployment<uint16_t>> deploy_spsSrcPort(_spsSrcPort, static_cast< CommonAPI::SomeIP::IntegerDeployment<uint16_t>* >(nullptr));
    CommonAPI::Deployable< bool, CommonAPI::EmptyDeployment> deploy_eventSrcPortValid(_eventSrcPortValid, static_cast< CommonAPI::EmptyDeployment* >(nullptr));
    CommonAPI::Deployable< uint16_t, CommonAPI::SomeIP::IntegerDeployment<uint16_t>> deploy_eventSrcPort(_eventSrcPort, static_cast< CommonAPI::SomeIP::IntegerDeployment<uint16_t>* >(nullptr));
    CommonAPI::Deployable< uint32_t, CommonAPI::SomeIP::IntegerDeployment<uint32_t>> deploy_txSpsFlowId(static_cast< CommonAPI::SomeIP::IntegerDeployment<uint32_t>* >(nullptr));
    CommonAPI::Deployable< uint32_t, CommonAPI::SomeIP::IntegerDeployment<uint32_t>> deploy_txEventFlowId(static_cast< CommonAPI::SomeIP::IntegerDeployment<uint32_t>* >(nullptr));
    CommonAPI::Deployable< ::v1::commonapi::telux::common::CommonDefines::ErrorCode, ::v1::commonapi::telux::common::CommonDefines_::ErrorCodeDeployment_t> deploy_spsError(static_cast< ::v1::commonapi::telux::common::CommonDefines_::ErrorCodeDeployment_t* >(nullptr));
    CommonAPI::Deployable< ::v1::commonapi::telux::common::CommonDefines::ErrorCode, ::v1::commonapi::telux::common::CommonDefines_::ErrorCodeDeployment_t> deploy_eventError(static_cast< ::v1::commonapi::telux::common::CommonDefines_::ErrorCodeDeployment_t* >(nullptr));
    return CommonAPI::SomeIP::ProxyHelper<
        CommonAPI::SomeIP::SerializableArguments<
            CommonAPI::Deployable<
                ::v1::commonapi::telux::cv2x::Cv2xRadioTypes::TrafficIpType,
                ::v1::commonapi::telux::cv2x::Cv2xRadioTypes_::TrafficIpTypeDeployment_t
            >,
            CommonAPI::Deployable<
                uint32_t,
                CommonAPI::SomeIP::IntegerDeployment<uint32_t>
            >,
            CommonAPI::Deployable<
                ::v1::commonapi::telux::cv2x::Cv2xRadioTypes::SpsFlowInfo,
                ::v1::commonapi::telux::cv2x::Cv2xRadioTypes_::SpsFlowInfoDeployment_t
            >,
            CommonAPI::Deployable<
                uint16_t,
                CommonAPI::SomeIP::IntegerDeployment<uint16_t>
            >,
            CommonAPI::Deployable<
                bool,
                CommonAPI::EmptyDeployment
            >,
            CommonAPI::Deployable<
                uint16_t,
                CommonAPI::SomeIP::IntegerDeployment<uint16_t>
            >
        >,
        CommonAPI::SomeIP::SerializableArguments<
            CommonAPI::Deployable<
                ::v1::commonapi::telux::common::CommonDefines::ErrorCode,
                ::v1::commonapi::telux::common::CommonDefines_::ErrorCodeDeployment_t
            >,
            CommonAPI::Deployable<
                uint32_t,
                CommonAPI::SomeIP::IntegerDeployment<uint32_t>
            >,
            CommonAPI::Deployable<
                uint32_t,
                CommonAPI::SomeIP::IntegerDeployment<uint32_t>
            >,
            CommonAPI::Deployable<
                ::v1::commonapi::telux::common::CommonDefines::ErrorCode,
                ::v1::commonapi::telux::common::CommonDefines_::ErrorCodeDeployment_t
            >,
            CommonAPI::Deployable<
                ::v1::commonapi::telux::common::CommonDefines::ErrorCode,
                ::v1::commonapi::telux::common::CommonDefines_::ErrorCodeDeployment_t
            >
        >
    >::callMethodAsync(
        *this,
        CommonAPI::SomeIP::method_id_t(0x7597),
        false,
        false,
        (_info ? _info : &CommonAPI::SomeIP::defaultCallInfo),
        deploy_ipType, deploy_serviceId, deploy_spsInfo, deploy_spsSrcPort, deploy_eventSrcPortValid, deploy_eventSrcPort,
        [_callback] (CommonAPI::CallStatus _internalCallStatus, CommonAPI::Deployable< ::v1::commonapi::telux::common::CommonDefines::ErrorCode, ::v1::commonapi::telux::common::CommonDefines_::ErrorCodeDeployment_t > _deploy_error, CommonAPI::Deployable< uint32_t, CommonAPI::SomeIP::IntegerDeployment<uint32_t> > _txSpsFlowId, CommonAPI::Deployable< uint32_t, CommonAPI::SomeIP::IntegerDeployment<uint32_t> > _txEventFlowId, CommonAPI::Deployable< ::v1::commonapi::telux::common::CommonDefines::ErrorCode, ::v1::commonapi::telux::common::CommonDefines_::ErrorCodeDeployment_t > _spsError, CommonAPI::Deployable< ::v1::commonapi::telux::common::CommonDefines::ErrorCode, ::v1::commonapi::telux::common::CommonDefines_::ErrorCodeDeployment_t > _eventError) {
            if (_callback)
                _callback(_internalCallStatus, _deploy_error.getValue(), _txSpsFlowId.getValue(), _txEventFlowId.getValue(), _spsError.getValue(), _eventError.getValue());
        },
        std::make_tuple(deploy_error, deploy_txSpsFlowId, deploy_txEventFlowId, deploy_spsError, deploy_eventError));
}

void Cv2xRadioSomeIPProxy::createTxEventFlow(::v1::commonapi::telux::cv2x::Cv2xRadioTypes::TrafficIpType _ipTyp, uint32_t _serviceId, ::v1::commonapi::telux::cv2x::Cv2xRadioTypes::EventFlowInfo _flowInfo, uint16_t _eventSrcPort, CommonAPI::CallStatus &_internalCallStatus, ::v1::commonapi::telux::common::CommonDefines::ErrorCode &_error, uint32_t &_txEventFlowId, const CommonAPI::CallInfo *_info) {
    CommonAPI::Deployable< ::v1::commonapi::telux::common::CommonDefines::ErrorCode, ::v1::commonapi::telux::common::CommonDefines_::ErrorCodeDeployment_t> deploy_error(static_cast< ::v1::commonapi::telux::common::CommonDefines_::ErrorCodeDeployment_t * >(nullptr));
    CommonAPI::Deployable< ::v1::commonapi::telux::cv2x::Cv2xRadioTypes::TrafficIpType, ::v1::commonapi::telux::cv2x::Cv2xRadioTypes_::TrafficIpTypeDeployment_t> deploy_ipTyp(_ipTyp, static_cast< ::v1::commonapi::telux::cv2x::Cv2xRadioTypes_::TrafficIpTypeDeployment_t* >(nullptr));
    CommonAPI::Deployable< uint32_t, CommonAPI::SomeIP::IntegerDeployment<uint32_t>> deploy_serviceId(_serviceId, static_cast< CommonAPI::SomeIP::IntegerDeployment<uint32_t>* >(nullptr));
    CommonAPI::Deployable< ::v1::commonapi::telux::cv2x::Cv2xRadioTypes::EventFlowInfo, ::v1::commonapi::telux::cv2x::Cv2xRadioTypes_::EventFlowInfoDeployment_t> deploy_flowInfo(_flowInfo, static_cast< ::v1::commonapi::telux::cv2x::Cv2xRadioTypes_::EventFlowInfoDeployment_t* >(nullptr));
    CommonAPI::Deployable< uint16_t, CommonAPI::SomeIP::IntegerDeployment<uint16_t>> deploy_eventSrcPort(_eventSrcPort, static_cast< CommonAPI::SomeIP::IntegerDeployment<uint16_t>* >(nullptr));
    CommonAPI::Deployable< uint32_t, CommonAPI::SomeIP::IntegerDeployment<uint32_t>> deploy_txEventFlowId(static_cast< CommonAPI::SomeIP::IntegerDeployment<uint32_t>* >(nullptr));
    CommonAPI::SomeIP::ProxyHelper<
        CommonAPI::SomeIP::SerializableArguments<
            CommonAPI::Deployable<
                ::v1::commonapi::telux::cv2x::Cv2xRadioTypes::TrafficIpType,
                ::v1::commonapi::telux::cv2x::Cv2xRadioTypes_::TrafficIpTypeDeployment_t
            >,
            CommonAPI::Deployable<
                uint32_t,
                CommonAPI::SomeIP::IntegerDeployment<uint32_t>
            >,
            CommonAPI::Deployable<
                ::v1::commonapi::telux::cv2x::Cv2xRadioTypes::EventFlowInfo,
                ::v1::commonapi::telux::cv2x::Cv2xRadioTypes_::EventFlowInfoDeployment_t
            >,
            CommonAPI::Deployable<
                uint16_t,
                CommonAPI::SomeIP::IntegerDeployment<uint16_t>
            >
        >,
        CommonAPI::SomeIP::SerializableArguments<
            CommonAPI::Deployable<
                ::v1::commonapi::telux::common::CommonDefines::ErrorCode,
                ::v1::commonapi::telux::common::CommonDefines_::ErrorCodeDeployment_t
            >,
            CommonAPI::Deployable<
                uint32_t,
                CommonAPI::SomeIP::IntegerDeployment<uint32_t>
            >
        >
    >::callMethodWithReply(
        *this,
        CommonAPI::SomeIP::method_id_t(0x7598),
        false,
        false,
        (_info ? _info : &CommonAPI::SomeIP::defaultCallInfo),
        deploy_ipTyp, deploy_serviceId, deploy_flowInfo, deploy_eventSrcPort,
        _internalCallStatus,
        deploy_error,
        deploy_txEventFlowId);
    _error = deploy_error.getValue();
    _txEventFlowId = deploy_txEventFlowId.getValue();
}

std::future<CommonAPI::CallStatus> Cv2xRadioSomeIPProxy::createTxEventFlowAsync(const ::v1::commonapi::telux::cv2x::Cv2xRadioTypes::TrafficIpType &_ipTyp, const uint32_t &_serviceId, const ::v1::commonapi::telux::cv2x::Cv2xRadioTypes::EventFlowInfo &_flowInfo, const uint16_t &_eventSrcPort, CreateTxEventFlowAsyncCallback _callback, const CommonAPI::CallInfo *_info) {
    CommonAPI::Deployable< ::v1::commonapi::telux::common::CommonDefines::ErrorCode, ::v1::commonapi::telux::common::CommonDefines_::ErrorCodeDeployment_t> deploy_error(static_cast< ::v1::commonapi::telux::common::CommonDefines_::ErrorCodeDeployment_t * >(nullptr));
    CommonAPI::Deployable< ::v1::commonapi::telux::cv2x::Cv2xRadioTypes::TrafficIpType, ::v1::commonapi::telux::cv2x::Cv2xRadioTypes_::TrafficIpTypeDeployment_t> deploy_ipTyp(_ipTyp, static_cast< ::v1::commonapi::telux::cv2x::Cv2xRadioTypes_::TrafficIpTypeDeployment_t* >(nullptr));
    CommonAPI::Deployable< uint32_t, CommonAPI::SomeIP::IntegerDeployment<uint32_t>> deploy_serviceId(_serviceId, static_cast< CommonAPI::SomeIP::IntegerDeployment<uint32_t>* >(nullptr));
    CommonAPI::Deployable< ::v1::commonapi::telux::cv2x::Cv2xRadioTypes::EventFlowInfo, ::v1::commonapi::telux::cv2x::Cv2xRadioTypes_::EventFlowInfoDeployment_t> deploy_flowInfo(_flowInfo, static_cast< ::v1::commonapi::telux::cv2x::Cv2xRadioTypes_::EventFlowInfoDeployment_t* >(nullptr));
    CommonAPI::Deployable< uint16_t, CommonAPI::SomeIP::IntegerDeployment<uint16_t>> deploy_eventSrcPort(_eventSrcPort, static_cast< CommonAPI::SomeIP::IntegerDeployment<uint16_t>* >(nullptr));
    CommonAPI::Deployable< uint32_t, CommonAPI::SomeIP::IntegerDeployment<uint32_t>> deploy_txEventFlowId(static_cast< CommonAPI::SomeIP::IntegerDeployment<uint32_t>* >(nullptr));
    return CommonAPI::SomeIP::ProxyHelper<
        CommonAPI::SomeIP::SerializableArguments<
            CommonAPI::Deployable<
                ::v1::commonapi::telux::cv2x::Cv2xRadioTypes::TrafficIpType,
                ::v1::commonapi::telux::cv2x::Cv2xRadioTypes_::TrafficIpTypeDeployment_t
            >,
            CommonAPI::Deployable<
                uint32_t,
                CommonAPI::SomeIP::IntegerDeployment<uint32_t>
            >,
            CommonAPI::Deployable<
                ::v1::commonapi::telux::cv2x::Cv2xRadioTypes::EventFlowInfo,
                ::v1::commonapi::telux::cv2x::Cv2xRadioTypes_::EventFlowInfoDeployment_t
            >,
            CommonAPI::Deployable<
                uint16_t,
                CommonAPI::SomeIP::IntegerDeployment<uint16_t>
            >
        >,
        CommonAPI::SomeIP::SerializableArguments<
            CommonAPI::Deployable<
                ::v1::commonapi::telux::common::CommonDefines::ErrorCode,
                ::v1::commonapi::telux::common::CommonDefines_::ErrorCodeDeployment_t
            >,
            CommonAPI::Deployable<
                uint32_t,
                CommonAPI::SomeIP::IntegerDeployment<uint32_t>
            >
        >
    >::callMethodAsync(
        *this,
        CommonAPI::SomeIP::method_id_t(0x7598),
        false,
        false,
        (_info ? _info : &CommonAPI::SomeIP::defaultCallInfo),
        deploy_ipTyp, deploy_serviceId, deploy_flowInfo, deploy_eventSrcPort,
        [_callback] (CommonAPI::CallStatus _internalCallStatus, CommonAPI::Deployable< ::v1::commonapi::telux::common::CommonDefines::ErrorCode, ::v1::commonapi::telux::common::CommonDefines_::ErrorCodeDeployment_t > _deploy_error, CommonAPI::Deployable< uint32_t, CommonAPI::SomeIP::IntegerDeployment<uint32_t> > _txEventFlowId) {
            if (_callback)
                _callback(_internalCallStatus, _deploy_error.getValue(), _txEventFlowId.getValue());
        },
        std::make_tuple(deploy_error, deploy_txEventFlowId));
}

void Cv2xRadioSomeIPProxy::closeRxSubscription(uint32_t _subscriptionId, CommonAPI::CallStatus &_internalCallStatus, ::v1::commonapi::telux::common::CommonDefines::ErrorCode &_error, const CommonAPI::CallInfo *_info) {
    CommonAPI::Deployable< ::v1::commonapi::telux::common::CommonDefines::ErrorCode, ::v1::commonapi::telux::common::CommonDefines_::ErrorCodeDeployment_t> deploy_error(static_cast< ::v1::commonapi::telux::common::CommonDefines_::ErrorCodeDeployment_t * >(nullptr));
    CommonAPI::Deployable< uint32_t, CommonAPI::SomeIP::IntegerDeployment<uint32_t>> deploy_subscriptionId(_subscriptionId, static_cast< CommonAPI::SomeIP::IntegerDeployment<uint32_t>* >(nullptr));
    CommonAPI::SomeIP::ProxyHelper<
        CommonAPI::SomeIP::SerializableArguments<
            CommonAPI::Deployable<
                uint32_t,
                CommonAPI::SomeIP::IntegerDeployment<uint32_t>
            >
        >,
        CommonAPI::SomeIP::SerializableArguments<
            CommonAPI::Deployable<
                ::v1::commonapi::telux::common::CommonDefines::ErrorCode,
                ::v1::commonapi::telux::common::CommonDefines_::ErrorCodeDeployment_t
            >
        >
    >::callMethodWithReply(
        *this,
        CommonAPI::SomeIP::method_id_t(0x7599),
        false,
        false,
        (_info ? _info : &CommonAPI::SomeIP::defaultCallInfo),
        deploy_subscriptionId,
        _internalCallStatus,
        deploy_error);
    _error = deploy_error.getValue();
}

std::future<CommonAPI::CallStatus> Cv2xRadioSomeIPProxy::closeRxSubscriptionAsync(const uint32_t &_subscriptionId, CloseRxSubscriptionAsyncCallback _callback, const CommonAPI::CallInfo *_info) {
    CommonAPI::Deployable< ::v1::commonapi::telux::common::CommonDefines::ErrorCode, ::v1::commonapi::telux::common::CommonDefines_::ErrorCodeDeployment_t> deploy_error(static_cast< ::v1::commonapi::telux::common::CommonDefines_::ErrorCodeDeployment_t * >(nullptr));
    CommonAPI::Deployable< uint32_t, CommonAPI::SomeIP::IntegerDeployment<uint32_t>> deploy_subscriptionId(_subscriptionId, static_cast< CommonAPI::SomeIP::IntegerDeployment<uint32_t>* >(nullptr));
    return CommonAPI::SomeIP::ProxyHelper<
        CommonAPI::SomeIP::SerializableArguments<
            CommonAPI::Deployable<
                uint32_t,
                CommonAPI::SomeIP::IntegerDeployment<uint32_t>
            >
        >,
        CommonAPI::SomeIP::SerializableArguments<
            CommonAPI::Deployable<
                ::v1::commonapi::telux::common::CommonDefines::ErrorCode,
                ::v1::commonapi::telux::common::CommonDefines_::ErrorCodeDeployment_t
            >
        >
    >::callMethodAsync(
        *this,
        CommonAPI::SomeIP::method_id_t(0x7599),
        false,
        false,
        (_info ? _info : &CommonAPI::SomeIP::defaultCallInfo),
        deploy_subscriptionId,
        [_callback] (CommonAPI::CallStatus _internalCallStatus, CommonAPI::Deployable< ::v1::commonapi::telux::common::CommonDefines::ErrorCode, ::v1::commonapi::telux::common::CommonDefines_::ErrorCodeDeployment_t > _deploy_error) {
            if (_callback)
                _callback(_internalCallStatus, _deploy_error.getValue());
        },
        std::make_tuple(deploy_error));
}

void Cv2xRadioSomeIPProxy::closeTxFlow(uint32_t _txFlowId, CommonAPI::CallStatus &_internalCallStatus, ::v1::commonapi::telux::common::CommonDefines::ErrorCode &_error, const CommonAPI::CallInfo *_info) {
    CommonAPI::Deployable< ::v1::commonapi::telux::common::CommonDefines::ErrorCode, ::v1::commonapi::telux::common::CommonDefines_::ErrorCodeDeployment_t> deploy_error(static_cast< ::v1::commonapi::telux::common::CommonDefines_::ErrorCodeDeployment_t * >(nullptr));
    CommonAPI::Deployable< uint32_t, CommonAPI::SomeIP::IntegerDeployment<uint32_t>> deploy_txFlowId(_txFlowId, static_cast< CommonAPI::SomeIP::IntegerDeployment<uint32_t>* >(nullptr));
    CommonAPI::SomeIP::ProxyHelper<
        CommonAPI::SomeIP::SerializableArguments<
            CommonAPI::Deployable<
                uint32_t,
                CommonAPI::SomeIP::IntegerDeployment<uint32_t>
            >
        >,
        CommonAPI::SomeIP::SerializableArguments<
            CommonAPI::Deployable<
                ::v1::commonapi::telux::common::CommonDefines::ErrorCode,
                ::v1::commonapi::telux::common::CommonDefines_::ErrorCodeDeployment_t
            >
        >
    >::callMethodWithReply(
        *this,
        CommonAPI::SomeIP::method_id_t(0x759a),
        false,
        false,
        (_info ? _info : &CommonAPI::SomeIP::defaultCallInfo),
        deploy_txFlowId,
        _internalCallStatus,
        deploy_error);
    _error = deploy_error.getValue();
}

std::future<CommonAPI::CallStatus> Cv2xRadioSomeIPProxy::closeTxFlowAsync(const uint32_t &_txFlowId, CloseTxFlowAsyncCallback _callback, const CommonAPI::CallInfo *_info) {
    CommonAPI::Deployable< ::v1::commonapi::telux::common::CommonDefines::ErrorCode, ::v1::commonapi::telux::common::CommonDefines_::ErrorCodeDeployment_t> deploy_error(static_cast< ::v1::commonapi::telux::common::CommonDefines_::ErrorCodeDeployment_t * >(nullptr));
    CommonAPI::Deployable< uint32_t, CommonAPI::SomeIP::IntegerDeployment<uint32_t>> deploy_txFlowId(_txFlowId, static_cast< CommonAPI::SomeIP::IntegerDeployment<uint32_t>* >(nullptr));
    return CommonAPI::SomeIP::ProxyHelper<
        CommonAPI::SomeIP::SerializableArguments<
            CommonAPI::Deployable<
                uint32_t,
                CommonAPI::SomeIP::IntegerDeployment<uint32_t>
            >
        >,
        CommonAPI::SomeIP::SerializableArguments<
            CommonAPI::Deployable<
                ::v1::commonapi::telux::common::CommonDefines::ErrorCode,
                ::v1::commonapi::telux::common::CommonDefines_::ErrorCodeDeployment_t
            >
        >
    >::callMethodAsync(
        *this,
        CommonAPI::SomeIP::method_id_t(0x759a),
        false,
        false,
        (_info ? _info : &CommonAPI::SomeIP::defaultCallInfo),
        deploy_txFlowId,
        [_callback] (CommonAPI::CallStatus _internalCallStatus, CommonAPI::Deployable< ::v1::commonapi::telux::common::CommonDefines::ErrorCode, ::v1::commonapi::telux::common::CommonDefines_::ErrorCodeDeployment_t > _deploy_error) {
            if (_callback)
                _callback(_internalCallStatus, _deploy_error.getValue());
        },
        std::make_tuple(deploy_error));
}

void Cv2xRadioSomeIPProxy::changeSpsFlowInfo(uint32_t _txFlowId, ::v1::commonapi::telux::cv2x::Cv2xRadioTypes::SpsFlowInfo _spsInfo, CommonAPI::CallStatus &_internalCallStatus, ::v1::commonapi::telux::common::CommonDefines::ErrorCode &_error, const CommonAPI::CallInfo *_info) {
    CommonAPI::Deployable< ::v1::commonapi::telux::common::CommonDefines::ErrorCode, ::v1::commonapi::telux::common::CommonDefines_::ErrorCodeDeployment_t> deploy_error(static_cast< ::v1::commonapi::telux::common::CommonDefines_::ErrorCodeDeployment_t * >(nullptr));
    CommonAPI::Deployable< uint32_t, CommonAPI::SomeIP::IntegerDeployment<uint32_t>> deploy_txFlowId(_txFlowId, static_cast< CommonAPI::SomeIP::IntegerDeployment<uint32_t>* >(nullptr));
    CommonAPI::Deployable< ::v1::commonapi::telux::cv2x::Cv2xRadioTypes::SpsFlowInfo, ::v1::commonapi::telux::cv2x::Cv2xRadioTypes_::SpsFlowInfoDeployment_t> deploy_spsInfo(_spsInfo, static_cast< ::v1::commonapi::telux::cv2x::Cv2xRadioTypes_::SpsFlowInfoDeployment_t* >(nullptr));
    CommonAPI::SomeIP::ProxyHelper<
        CommonAPI::SomeIP::SerializableArguments<
            CommonAPI::Deployable<
                uint32_t,
                CommonAPI::SomeIP::IntegerDeployment<uint32_t>
            >,
            CommonAPI::Deployable<
                ::v1::commonapi::telux::cv2x::Cv2xRadioTypes::SpsFlowInfo,
                ::v1::commonapi::telux::cv2x::Cv2xRadioTypes_::SpsFlowInfoDeployment_t
            >
        >,
        CommonAPI::SomeIP::SerializableArguments<
            CommonAPI::Deployable<
                ::v1::commonapi::telux::common::CommonDefines::ErrorCode,
                ::v1::commonapi::telux::common::CommonDefines_::ErrorCodeDeployment_t
            >
        >
    >::callMethodWithReply(
        *this,
        CommonAPI::SomeIP::method_id_t(0x759b),
        false,
        false,
        (_info ? _info : &CommonAPI::SomeIP::defaultCallInfo),
        deploy_txFlowId, deploy_spsInfo,
        _internalCallStatus,
        deploy_error);
    _error = deploy_error.getValue();
}

std::future<CommonAPI::CallStatus> Cv2xRadioSomeIPProxy::changeSpsFlowInfoAsync(const uint32_t &_txFlowId, const ::v1::commonapi::telux::cv2x::Cv2xRadioTypes::SpsFlowInfo &_spsInfo, ChangeSpsFlowInfoAsyncCallback _callback, const CommonAPI::CallInfo *_info) {
    CommonAPI::Deployable< ::v1::commonapi::telux::common::CommonDefines::ErrorCode, ::v1::commonapi::telux::common::CommonDefines_::ErrorCodeDeployment_t> deploy_error(static_cast< ::v1::commonapi::telux::common::CommonDefines_::ErrorCodeDeployment_t * >(nullptr));
    CommonAPI::Deployable< uint32_t, CommonAPI::SomeIP::IntegerDeployment<uint32_t>> deploy_txFlowId(_txFlowId, static_cast< CommonAPI::SomeIP::IntegerDeployment<uint32_t>* >(nullptr));
    CommonAPI::Deployable< ::v1::commonapi::telux::cv2x::Cv2xRadioTypes::SpsFlowInfo, ::v1::commonapi::telux::cv2x::Cv2xRadioTypes_::SpsFlowInfoDeployment_t> deploy_spsInfo(_spsInfo, static_cast< ::v1::commonapi::telux::cv2x::Cv2xRadioTypes_::SpsFlowInfoDeployment_t* >(nullptr));
    return CommonAPI::SomeIP::ProxyHelper<
        CommonAPI::SomeIP::SerializableArguments<
            CommonAPI::Deployable<
                uint32_t,
                CommonAPI::SomeIP::IntegerDeployment<uint32_t>
            >,
            CommonAPI::Deployable<
                ::v1::commonapi::telux::cv2x::Cv2xRadioTypes::SpsFlowInfo,
                ::v1::commonapi::telux::cv2x::Cv2xRadioTypes_::SpsFlowInfoDeployment_t
            >
        >,
        CommonAPI::SomeIP::SerializableArguments<
            CommonAPI::Deployable<
                ::v1::commonapi::telux::common::CommonDefines::ErrorCode,
                ::v1::commonapi::telux::common::CommonDefines_::ErrorCodeDeployment_t
            >
        >
    >::callMethodAsync(
        *this,
        CommonAPI::SomeIP::method_id_t(0x759b),
        false,
        false,
        (_info ? _info : &CommonAPI::SomeIP::defaultCallInfo),
        deploy_txFlowId, deploy_spsInfo,
        [_callback] (CommonAPI::CallStatus _internalCallStatus, CommonAPI::Deployable< ::v1::commonapi::telux::common::CommonDefines::ErrorCode, ::v1::commonapi::telux::common::CommonDefines_::ErrorCodeDeployment_t > _deploy_error) {
            if (_callback)
                _callback(_internalCallStatus, _deploy_error.getValue());
        },
        std::make_tuple(deploy_error));
}

void Cv2xRadioSomeIPProxy::requestSpsFlowInfo(uint32_t _txFlowId, CommonAPI::CallStatus &_internalCallStatus, ::v1::commonapi::telux::common::CommonDefines::ErrorCode &_error, ::v1::commonapi::telux::cv2x::Cv2xRadioTypes::SpsFlowInfo &_spsInfo, const CommonAPI::CallInfo *_info) {
    CommonAPI::Deployable< ::v1::commonapi::telux::common::CommonDefines::ErrorCode, ::v1::commonapi::telux::common::CommonDefines_::ErrorCodeDeployment_t> deploy_error(static_cast< ::v1::commonapi::telux::common::CommonDefines_::ErrorCodeDeployment_t * >(nullptr));
    CommonAPI::Deployable< uint32_t, CommonAPI::SomeIP::IntegerDeployment<uint32_t>> deploy_txFlowId(_txFlowId, static_cast< CommonAPI::SomeIP::IntegerDeployment<uint32_t>* >(nullptr));
    CommonAPI::Deployable< ::v1::commonapi::telux::cv2x::Cv2xRadioTypes::SpsFlowInfo, ::v1::commonapi::telux::cv2x::Cv2xRadioTypes_::SpsFlowInfoDeployment_t> deploy_spsInfo(static_cast< ::v1::commonapi::telux::cv2x::Cv2xRadioTypes_::SpsFlowInfoDeployment_t* >(nullptr));
    CommonAPI::SomeIP::ProxyHelper<
        CommonAPI::SomeIP::SerializableArguments<
            CommonAPI::Deployable<
                uint32_t,
                CommonAPI::SomeIP::IntegerDeployment<uint32_t>
            >
        >,
        CommonAPI::SomeIP::SerializableArguments<
            CommonAPI::Deployable<
                ::v1::commonapi::telux::common::CommonDefines::ErrorCode,
                ::v1::commonapi::telux::common::CommonDefines_::ErrorCodeDeployment_t
            >,
            CommonAPI::Deployable<
                ::v1::commonapi::telux::cv2x::Cv2xRadioTypes::SpsFlowInfo,
                ::v1::commonapi::telux::cv2x::Cv2xRadioTypes_::SpsFlowInfoDeployment_t
            >
        >
    >::callMethodWithReply(
        *this,
        CommonAPI::SomeIP::method_id_t(0x759c),
        false,
        false,
        (_info ? _info : &CommonAPI::SomeIP::defaultCallInfo),
        deploy_txFlowId,
        _internalCallStatus,
        deploy_error,
        deploy_spsInfo);
    _error = deploy_error.getValue();
    _spsInfo = deploy_spsInfo.getValue();
}

std::future<CommonAPI::CallStatus> Cv2xRadioSomeIPProxy::requestSpsFlowInfoAsync(const uint32_t &_txFlowId, RequestSpsFlowInfoAsyncCallback _callback, const CommonAPI::CallInfo *_info) {
    CommonAPI::Deployable< ::v1::commonapi::telux::common::CommonDefines::ErrorCode, ::v1::commonapi::telux::common::CommonDefines_::ErrorCodeDeployment_t> deploy_error(static_cast< ::v1::commonapi::telux::common::CommonDefines_::ErrorCodeDeployment_t * >(nullptr));
    CommonAPI::Deployable< uint32_t, CommonAPI::SomeIP::IntegerDeployment<uint32_t>> deploy_txFlowId(_txFlowId, static_cast< CommonAPI::SomeIP::IntegerDeployment<uint32_t>* >(nullptr));
    CommonAPI::Deployable< ::v1::commonapi::telux::cv2x::Cv2xRadioTypes::SpsFlowInfo, ::v1::commonapi::telux::cv2x::Cv2xRadioTypes_::SpsFlowInfoDeployment_t> deploy_spsInfo(static_cast< ::v1::commonapi::telux::cv2x::Cv2xRadioTypes_::SpsFlowInfoDeployment_t* >(nullptr));
    return CommonAPI::SomeIP::ProxyHelper<
        CommonAPI::SomeIP::SerializableArguments<
            CommonAPI::Deployable<
                uint32_t,
                CommonAPI::SomeIP::IntegerDeployment<uint32_t>
            >
        >,
        CommonAPI::SomeIP::SerializableArguments<
            CommonAPI::Deployable<
                ::v1::commonapi::telux::common::CommonDefines::ErrorCode,
                ::v1::commonapi::telux::common::CommonDefines_::ErrorCodeDeployment_t
            >,
            CommonAPI::Deployable<
                ::v1::commonapi::telux::cv2x::Cv2xRadioTypes::SpsFlowInfo,
                ::v1::commonapi::telux::cv2x::Cv2xRadioTypes_::SpsFlowInfoDeployment_t
            >
        >
    >::callMethodAsync(
        *this,
        CommonAPI::SomeIP::method_id_t(0x759c),
        false,
        false,
        (_info ? _info : &CommonAPI::SomeIP::defaultCallInfo),
        deploy_txFlowId,
        [_callback] (CommonAPI::CallStatus _internalCallStatus, CommonAPI::Deployable< ::v1::commonapi::telux::common::CommonDefines::ErrorCode, ::v1::commonapi::telux::common::CommonDefines_::ErrorCodeDeployment_t > _deploy_error, CommonAPI::Deployable< ::v1::commonapi::telux::cv2x::Cv2xRadioTypes::SpsFlowInfo, ::v1::commonapi::telux::cv2x::Cv2xRadioTypes_::SpsFlowInfoDeployment_t > _spsInfo) {
            if (_callback)
                _callback(_internalCallStatus, _deploy_error.getValue(), _spsInfo.getValue());
        },
        std::make_tuple(deploy_error, deploy_spsInfo));
}

void Cv2xRadioSomeIPProxy::changeEventFlowInfo(uint32_t _txFlowId, ::v1::commonapi::telux::cv2x::Cv2xRadioTypes::EventFlowInfo _eventInfo, CommonAPI::CallStatus &_internalCallStatus, ::v1::commonapi::telux::common::CommonDefines::ErrorCode &_error, const CommonAPI::CallInfo *_info) {
    CommonAPI::Deployable< ::v1::commonapi::telux::common::CommonDefines::ErrorCode, ::v1::commonapi::telux::common::CommonDefines_::ErrorCodeDeployment_t> deploy_error(static_cast< ::v1::commonapi::telux::common::CommonDefines_::ErrorCodeDeployment_t * >(nullptr));
    CommonAPI::Deployable< uint32_t, CommonAPI::SomeIP::IntegerDeployment<uint32_t>> deploy_txFlowId(_txFlowId, static_cast< CommonAPI::SomeIP::IntegerDeployment<uint32_t>* >(nullptr));
    CommonAPI::Deployable< ::v1::commonapi::telux::cv2x::Cv2xRadioTypes::EventFlowInfo, ::v1::commonapi::telux::cv2x::Cv2xRadioTypes_::EventFlowInfoDeployment_t> deploy_eventInfo(_eventInfo, static_cast< ::v1::commonapi::telux::cv2x::Cv2xRadioTypes_::EventFlowInfoDeployment_t* >(nullptr));
    CommonAPI::SomeIP::ProxyHelper<
        CommonAPI::SomeIP::SerializableArguments<
            CommonAPI::Deployable<
                uint32_t,
                CommonAPI::SomeIP::IntegerDeployment<uint32_t>
            >,
            CommonAPI::Deployable<
                ::v1::commonapi::telux::cv2x::Cv2xRadioTypes::EventFlowInfo,
                ::v1::commonapi::telux::cv2x::Cv2xRadioTypes_::EventFlowInfoDeployment_t
            >
        >,
        CommonAPI::SomeIP::SerializableArguments<
            CommonAPI::Deployable<
                ::v1::commonapi::telux::common::CommonDefines::ErrorCode,
                ::v1::commonapi::telux::common::CommonDefines_::ErrorCodeDeployment_t
            >
        >
    >::callMethodWithReply(
        *this,
        CommonAPI::SomeIP::method_id_t(0x759d),
        false,
        false,
        (_info ? _info : &CommonAPI::SomeIP::defaultCallInfo),
        deploy_txFlowId, deploy_eventInfo,
        _internalCallStatus,
        deploy_error);
    _error = deploy_error.getValue();
}

std::future<CommonAPI::CallStatus> Cv2xRadioSomeIPProxy::changeEventFlowInfoAsync(const uint32_t &_txFlowId, const ::v1::commonapi::telux::cv2x::Cv2xRadioTypes::EventFlowInfo &_eventInfo, ChangeEventFlowInfoAsyncCallback _callback, const CommonAPI::CallInfo *_info) {
    CommonAPI::Deployable< ::v1::commonapi::telux::common::CommonDefines::ErrorCode, ::v1::commonapi::telux::common::CommonDefines_::ErrorCodeDeployment_t> deploy_error(static_cast< ::v1::commonapi::telux::common::CommonDefines_::ErrorCodeDeployment_t * >(nullptr));
    CommonAPI::Deployable< uint32_t, CommonAPI::SomeIP::IntegerDeployment<uint32_t>> deploy_txFlowId(_txFlowId, static_cast< CommonAPI::SomeIP::IntegerDeployment<uint32_t>* >(nullptr));
    CommonAPI::Deployable< ::v1::commonapi::telux::cv2x::Cv2xRadioTypes::EventFlowInfo, ::v1::commonapi::telux::cv2x::Cv2xRadioTypes_::EventFlowInfoDeployment_t> deploy_eventInfo(_eventInfo, static_cast< ::v1::commonapi::telux::cv2x::Cv2xRadioTypes_::EventFlowInfoDeployment_t* >(nullptr));
    return CommonAPI::SomeIP::ProxyHelper<
        CommonAPI::SomeIP::SerializableArguments<
            CommonAPI::Deployable<
                uint32_t,
                CommonAPI::SomeIP::IntegerDeployment<uint32_t>
            >,
            CommonAPI::Deployable<
                ::v1::commonapi::telux::cv2x::Cv2xRadioTypes::EventFlowInfo,
                ::v1::commonapi::telux::cv2x::Cv2xRadioTypes_::EventFlowInfoDeployment_t
            >
        >,
        CommonAPI::SomeIP::SerializableArguments<
            CommonAPI::Deployable<
                ::v1::commonapi::telux::common::CommonDefines::ErrorCode,
                ::v1::commonapi::telux::common::CommonDefines_::ErrorCodeDeployment_t
            >
        >
    >::callMethodAsync(
        *this,
        CommonAPI::SomeIP::method_id_t(0x759d),
        false,
        false,
        (_info ? _info : &CommonAPI::SomeIP::defaultCallInfo),
        deploy_txFlowId, deploy_eventInfo,
        [_callback] (CommonAPI::CallStatus _internalCallStatus, CommonAPI::Deployable< ::v1::commonapi::telux::common::CommonDefines::ErrorCode, ::v1::commonapi::telux::common::CommonDefines_::ErrorCodeDeployment_t > _deploy_error) {
            if (_callback)
                _callback(_internalCallStatus, _deploy_error.getValue());
        },
        std::make_tuple(deploy_error));
}

void Cv2xRadioSomeIPProxy::requestCapability(CommonAPI::CallStatus &_internalCallStatus, ::v1::commonapi::telux::common::CommonDefines::ErrorCode &_error, ::v1::commonapi::telux::cv2x::Cv2xRadioTypes::Cv2xRadioCapabilities &_capabilities, const CommonAPI::CallInfo *_info) {
    CommonAPI::Deployable< ::v1::commonapi::telux::common::CommonDefines::ErrorCode, ::v1::commonapi::telux::common::CommonDefines_::ErrorCodeDeployment_t> deploy_error(static_cast< ::v1::commonapi::telux::common::CommonDefines_::ErrorCodeDeployment_t * >(nullptr));
    CommonAPI::Deployable< ::v1::commonapi::telux::cv2x::Cv2xRadioTypes::Cv2xRadioCapabilities, ::v1::commonapi::telux::cv2x::Cv2xRadioTypes_::Cv2xRadioCapabilitiesDeployment_t> deploy_capabilities(static_cast< ::v1::commonapi::telux::cv2x::Cv2xRadioTypes_::Cv2xRadioCapabilitiesDeployment_t* >(nullptr));
    CommonAPI::SomeIP::ProxyHelper<
        CommonAPI::SomeIP::SerializableArguments<
        >,
        CommonAPI::SomeIP::SerializableArguments<
            CommonAPI::Deployable<
                ::v1::commonapi::telux::common::CommonDefines::ErrorCode,
                ::v1::commonapi::telux::common::CommonDefines_::ErrorCodeDeployment_t
            >,
            CommonAPI::Deployable<
                ::v1::commonapi::telux::cv2x::Cv2xRadioTypes::Cv2xRadioCapabilities,
                ::v1::commonapi::telux::cv2x::Cv2xRadioTypes_::Cv2xRadioCapabilitiesDeployment_t
            >
        >
    >::callMethodWithReply(
        *this,
        CommonAPI::SomeIP::method_id_t(0x759e),
        false,
        false,
        (_info ? _info : &CommonAPI::SomeIP::defaultCallInfo),
        _internalCallStatus,
        deploy_error,
        deploy_capabilities);
    _error = deploy_error.getValue();
    _capabilities = deploy_capabilities.getValue();
}

std::future<CommonAPI::CallStatus> Cv2xRadioSomeIPProxy::requestCapabilityAsync(RequestCapabilityAsyncCallback _callback, const CommonAPI::CallInfo *_info) {
    CommonAPI::Deployable< ::v1::commonapi::telux::common::CommonDefines::ErrorCode, ::v1::commonapi::telux::common::CommonDefines_::ErrorCodeDeployment_t> deploy_error(static_cast< ::v1::commonapi::telux::common::CommonDefines_::ErrorCodeDeployment_t * >(nullptr));
    CommonAPI::Deployable< ::v1::commonapi::telux::cv2x::Cv2xRadioTypes::Cv2xRadioCapabilities, ::v1::commonapi::telux::cv2x::Cv2xRadioTypes_::Cv2xRadioCapabilitiesDeployment_t> deploy_capabilities(static_cast< ::v1::commonapi::telux::cv2x::Cv2xRadioTypes_::Cv2xRadioCapabilitiesDeployment_t* >(nullptr));
    return CommonAPI::SomeIP::ProxyHelper<
        CommonAPI::SomeIP::SerializableArguments<
        >,
        CommonAPI::SomeIP::SerializableArguments<
            CommonAPI::Deployable<
                ::v1::commonapi::telux::common::CommonDefines::ErrorCode,
                ::v1::commonapi::telux::common::CommonDefines_::ErrorCodeDeployment_t
            >,
            CommonAPI::Deployable<
                ::v1::commonapi::telux::cv2x::Cv2xRadioTypes::Cv2xRadioCapabilities,
                ::v1::commonapi::telux::cv2x::Cv2xRadioTypes_::Cv2xRadioCapabilitiesDeployment_t
            >
        >
    >::callMethodAsync(
        *this,
        CommonAPI::SomeIP::method_id_t(0x759e),
        false,
        false,
        (_info ? _info : &CommonAPI::SomeIP::defaultCallInfo),
        [_callback] (CommonAPI::CallStatus _internalCallStatus, CommonAPI::Deployable< ::v1::commonapi::telux::common::CommonDefines::ErrorCode, ::v1::commonapi::telux::common::CommonDefines_::ErrorCodeDeployment_t > _deploy_error, CommonAPI::Deployable< ::v1::commonapi::telux::cv2x::Cv2xRadioTypes::Cv2xRadioCapabilities, ::v1::commonapi::telux::cv2x::Cv2xRadioTypes_::Cv2xRadioCapabilitiesDeployment_t > _capabilities) {
            if (_callback)
                _callback(_internalCallStatus, _deploy_error.getValue(), _capabilities.getValue());
        },
        std::make_tuple(deploy_error, deploy_capabilities));
}

void Cv2xRadioSomeIPProxy::getOwnVersion(uint16_t& ownVersionMajor, uint16_t& ownVersionMinor) const {
    ownVersionMajor = 1;
    ownVersionMinor = 0;
}

std::future<void> Cv2xRadioSomeIPProxy::getCompletionFuture() {
    return completed_.get_future();
}

} // namespace cv2x
} // namespace telux
} // namespace commonapi
} // namespace v1
